# ProxyController Class Reference
[Spring-like webflow tools]

Inheritance diagram for ProxyController:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| setInner (Controller $controller)
| getInner ()
| getName ()
| handleRequest (HttpRequest $request)
| setRequestType (RequestType $requestType)
| isActive ($request)
| getRequestGetter ()

## Static Public Member Functions

static | create ()

## Private Member Functions

| fetchVariable ($name, HttpRequest $request)

## Private Attributes

| $innerController = null
| $request = null
| $requestType = null
| $requestGetter = null

## Static Private Attributes

static | $requestGetterMap

## Detailed Description

Definition at line 16 of file ProxyController.class.php.

## Constructor & Destructor Documentation

ProxyController::__construct | ( |  | ) |

Definition at line 37 of file ProxyController.class.php.

References RequestType::post().

Here is the call graph for this function:

## Member Function Documentation

static ProxyController::create | ( |  | ) | `[static]`

Returns:
  ProxyController

Definition at line 32 of file ProxyController.class.php.

Referenced by ControllersCollection::add().

ProxyController::fetchVariable | ( | $ | name,
|  | HttpRequest $ | request |
| ) |  |  | `[private]`

Definition at line 104 of file ProxyController.class.php.

Referenced by isActive().

ProxyController::getInner | ( |  | ) |

Returns:
  Controller

Definition at line 55 of file ProxyController.class.php.

Referenced by handleRequest(), and isActive().

ProxyController::getName | ( |  | ) |

Definition at line 60 of file ProxyController.class.php.

ProxyController::getRequestGetter | ( |  | ) |

Definition at line 93 of file ProxyController.class.php.

References Assert::isNotNull().

Here is the call graph for this function:

ProxyController::handleRequest | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Implements Controller.

Definition at line 68 of file ProxyController.class.php.

References getInner().

Here is the call graph for this function:

ProxyController::isActive | ( | $ | request | ) |

Definition at line 83 of file ProxyController.class.php.

References $request, fetchVariable(), and getInner().

Here is the call graph for this function:

ProxyController::setInner | ( | Controller $ | controller | ) |

Returns:
  ProxyController

Definition at line 45 of file ProxyController.class.php.

ProxyController::setRequestType | ( | RequestType $ | requestType | ) |

Returns:
  ProxyController

Definition at line 76 of file ProxyController.class.php.

## Member Data Documentation

ProxyController::$innerController = null`[private]`

Definition at line 18 of file ProxyController.class.php.

ProxyController::$request = null`[private]`

Definition at line 19 of file ProxyController.class.php.

Referenced by isActive().

ProxyController::$requestGetter = null`[private]`

Definition at line 21 of file ProxyController.class.php.

ProxyController::$requestGetterMap`[static, private]`

Initial value:

     array(
                RequestType::ATTACHED   => 'Attached',
                RequestType::GET        => 'Get',
                RequestType::POST       => 'Post'
            )

Definition at line 23 of file ProxyController.class.php.

ProxyController::$requestType = null`[private]`

Definition at line 20 of file ProxyController.class.php.

The documentation for this class was generated from the following file:

- main/Flow/ProxyController.class.php